Table of Contents

Class: Node | Twisted-0.17.4/twisted/spread/ui/tktree.py
--- | ---

Methods |
--- | ---
__init__ getName getSubNodes gotDoubleClick isExpandable updateMe
| __init__

    __init__ ( self )

Do whatever you want here.

| getName

    getName ( self )

Return the name of this node in the tree.

| getSubNodes

    getSubNodes ( self )

Return the sub nodes of this node.

| gotDoubleClick

    gotDoubleClick ( self )

Called when we are double clicked.

| isExpandable

    isExpandable ( self )

Return true if this node is expandable.

| updateMe

    updateMe ( self )

Call me when something about me changes, so that my representation changes.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:36 2002 by HappyDoc version 2.0